 program fftest

! use fftest_type_mod
 use sep
 use vspfilt_mod
! use sep3d_struct_mod

 implicit none

 real, allocatable				:: vsp(:,:)
 integer					:: ix
 type(axis)					:: x,z,t,w,kz,kx

 call sep_init()
 call sep_begin_prog()

 call from_history("n1",t%n); call from_history("d1",t%d); call from_history("o1",t%o)
 call from_history("n2",z%n); call from_history("d2",z%d); call from_history("o2",z%o)
 call from_history("n3",x%n); call from_history("d3",x%d); call from_history("o3",x%o)

 call to_history("n1",t%n); call to_history("d1",t%d); call to_history("o1",t%o)
 call to_history("n2",z%n); call to_history("d2",z%d); call to_history("o2",z%o)
 call to_history("n3",x%n); call to_history("d3",x%d); call to_history("o3",x%o)

!!!!!!!!!!!!!!!!!!!!!!!!!!!!

  allocate(vsp(t%n,z%n))

  w = fftvar_init(x, z, t)

  do ix=1,x%n
     write(0,*) " ix = ",ix,"  from  ",x%n
     call sreed("in", vsp, 4*t%n*z%n)
     call vspfilt(vsp)
     call srite("out",vsp, 4*t%n*z%n)
  end do

  call sep_end_prog()
  end program
